## git archive --format=tar.gz --prefix=srpmproc-1.4/ circle >srpmproc-1.4.tar.gz
Name:   srpmproc
Version:        1.4
Release:        6%{?dist}
Summary:        Circle Linux go application to fetch side blob sources

Group:          devel
License:        GPLv2
URL:            https://github.com/mstg/srpmproc/
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  golang
BuildRequires:  go-compilers-golang-compiler
Requires:       golang

%description
Circle Linux go application to fetch side blob sources


%prep
%setup -q


%build
#CGO_ENABLED=0 GOOS=linux  go build ./cmd/srpmproc
%gobuild ./cmd/srpmproc

%install

install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp  srpmproc* %{buildroot}%{_bindir}/

%files
%_bindir/srpmproc*
%doc



%changelog
* Thu May 13 2021 James Xie <james@cclinux.org> - 1.4-6
- add no-checksum and with-components args

* Thu May 06 2021 James Xie <james@cclinux.org> - 1.4-5
- update from upstream

* Fri Apr 16 2021 James Xie <james@cclinux.org> - 1.4-4
- fix git archive misstake
- Support to automatic create lookaside Sources

* Fri Apr 9 2021 James Xie <james@cclinux.org> - 1.4-2
- merge upstream update

* Wed Mar 31 2021 James Xie <james@cclinux.org> - 1.4-1
- Add Circle special branch and commiter
